org.springframework.batch.core.jsr.step.builder

## Class JsrBatchletStepBuilder

- java.lang.Object
- - org.springframework.batch.core.step.builder.StepBuilderHelper<AbstractTaskletStepBuilder<B>>
  - - org.springframework.batch.core.step.builder.AbstractTaskletStepBuilder<TaskletStepBuilder>
    - - org.springframework.batch.core.step.builder.TaskletStepBuilder
      - - org.springframework.batch.core.jsr.step.builder.JsrBatchletStepBuilder

-     public class JsrBatchletStepBuilder
      extends TaskletStepBuilder

  Extension of the `TaskletStepBuilder` that uses a `BatchletStep` instead of a `TaskletStep`.
  Since:
    3.0
  Author:
    Michael Minella, Mahmoud Ben Hassine

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.springframework.batch.core.step.builder.StepBuilderHelper

      `StepBuilderHelper.CommonStepProperties`

  - ### Field Summary

    - ### Fields inherited from class org.springframework.batch.core.step.builder.AbstractTaskletStepBuilder

      `chunkListeners`

    - ### Fields inherited from class org.springframework.batch.core.step.builder.StepBuilderHelper

      `logger, properties`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JsrBatchletStepBuilder(StepBuilderHelper<? extends StepBuilderHelper<?>> parent)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TaskletStep` | `build()` Build the step from the components collected by the fluent setters.
    `void` | `setBatchPropertyContext(BatchPropertyContext context)`

    - ### Methods inherited from class org.springframework.batch.core.step.builder.TaskletStepBuilder

      `createTasklet, tasklet`

    - ### Methods inherited from class org.springframework.batch.core.step.builder.AbstractTaskletStepBuilder

      `concurrent, exceptionHandler, getExceptionHandler, getStepOperations, getStreams, getTaskExecutor, getThrottleLimit, getTransactionAttribute, listener, listener, registerStepListenerAsChunkListener, stepOperations, stream, taskExecutor, throttleLimit, transactionAttribute`

    - ### Methods inherited from class org.springframework.batch.core.step.builder.StepBuilderHelper

      `allowStartIfComplete, enhance, getJobRepository, getName, getTransactionManager, isAllowStartIfComplete, listener, repository, startLimit, transactionManager`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JsrBatchletStepBuilder

          public JsrBatchletStepBuilder(StepBuilderHelper<? extends StepBuilderHelper<?>> parent)

  - ### Method Detail

    - #### setBatchPropertyContext

          public void setBatchPropertyContext(BatchPropertyContext context)

      Parameters:
        `context` - used to resolve lazy bound properties

    - #### build

          public TaskletStep build()

      Build the step from the components collected by the fluent setters. Delegates first to `StepBuilderHelper.enhance(Step)` and then to `TaskletStepBuilder.createTasklet()` in subclasses to create the actual tasklet.
      Overrides:
        `build` in class `AbstractTaskletStepBuilder<TaskletStepBuilder>`
      Returns:
        a tasklet step fully configured and read to execute